# Enum Class PstAccess

java.lang.Object
java.lang.Enum<PstAccess>
com.independentsoft.pst.PstAccess

All Implemented Interfaces:
  `Serializable`, `Comparable<PstAccess>`, `Constable`

public enum PstAccess extends Enum<PstAccess>
Specifies how a `PstFile` is opened.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `READ`
  Open the file read-only.
  `READ_WRITE`
  Open the file for in-place editing.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PstAccess`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PstAccess[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### READ

    public static final PstAccess READ
    Open the file read-only. Folders and items can be read but not modified.

  - ### READ_WRITE

    public static final PstAccess READ_WRITE
    Open the file for in-place editing. Folders and items can be added through `PstFile.getRoot()`; call `PstFile.save()` to persist the changes back to the source.

- ## Method Details

  - ### values

    public static PstAccess[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PstAccess valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null